SystemOrganization addCategory: #'JQWidgetBox-Farbtastic-Core'!

!JQueryInstance methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:30'!
farbtastic
	^self create: JQFarbtastic ! !

JQWidget subclass: #JQFarbtastic
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Farbtastic-Core'!

!JQFarbtastic methodsFor: 'options' stamp: 'PaulDeBruicker 6/5/2011 21:33'!
color
"THIS DOES NOT WORK.


Current color in hex representation (e.g. '#123456')."
self optionAt: 'color'! !

!JQFarbtastic methodsFor: 'options' stamp: 'PaulDeBruicker 6/5/2011 21:33'!
hsl
"
THIS DOES NOT WORK.

Current color in normalized HSL (e.g. [0.3, 0.4, 0.5])."
self optionAt: 'hsl'! !

!JQFarbtastic methodsFor: 'actions' stamp: 'PaulDeBruicker 6/5/2011 21:33'!
linkTo: aCallback

"THIS DOES NOT WORK.


Allows you to set a new callback. Any existing callbacks are removed. 
aCallback: this function will be called whenever the user chooses a different color. It should have the following signature:

function callback(color) { ... }

With color the chosen color in hex representation (e.g. '#123456').

."

self action: 'linkTo' arguments:( aCallback asFunction:#('color'))! !

!JQFarbtastic methodsFor: 'options' stamp: 'PaulDeBruicker 6/5/2011 21:33'!
linked
"
THIS DOES NOT WORK.

The elements (jQuery object) or callback function this picker is linked to."
self optionAt: 'linked'! !

!JQFarbtastic methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 20:27'!
method
	^'farbtastic'! !

!JQFarbtastic methodsFor: 'actions' stamp: 'PaulDeBruicker 6/5/2011 21:32'!
setColor: aStringOrHSLCodeArray
	"
	THIS DOES NOT WORK.
	
	Sets the picker color to the given color in hex representation (e.g. '#123456').
	
	Or
	
	Sets the picker color to the given color in normalized HSL (0..1 scale).
	"
self optionAt: 'setColor' put: aStringOrHSLCodeArray ! !

!JQFarbtastic methodsFor: 'actions' stamp: 'PaulDeBruicker 6/5/2011 21:28'!
target: aTextInputId

self action: aTextInputId ! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:28'!
farbtasticCss
	^ '/**
 * Farbtastic Color Picker 1.2
 * © 2008 Steven Wittens
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
.farbtastic {
  position: relative;
}
.farbtastic * {
  position: absolute;
  cursor: crosshair;
}
.farbtastic, .farbtastic .wheel {
  width: 195px;
  height: 195px;
}
.farbtastic .color, .farbtastic .overlay {
  top: 47px;
  left: 47px;
  width: 101px;
  height: 101px;
}
.farbtastic .wheel {
  background: url(wheel.png) no-repeat;
  width: 195px;
  height: 195px;
}
.farbtastic .overlay {
  background: url(mask.png) no-repeat;
}
.farbtastic .marker {
  width: 17px;
  height: 17px;
  margin: -8px 0 0 -8px;
  overflow: hidden; 
  background: url(marker.png) no-repeat;
}

'! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:28'!
farbtasticJs
	^ '/**
 * Farbtastic Color Picker 1.2
 * © 2008 Steven Wittens
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

jQuery.fn.farbtastic = function (callback) {
  $.farbtastic(this, callback);
  return this;
};

jQuery.farbtastic = function (container, callback) {
  var container = $(container).get(0);
  return container.farbtastic || (container.farbtastic = new jQuery._farbtastic(container, callback));
}

jQuery._farbtastic = function (container, callback) {
  // Store farbtastic object
  var fb = this;

  // Insert markup
  $(container).html(''<div class="farbtastic"><div class="color"></div><div class="wheel"></div><div class="overlay"></div><div class="h-marker marker"></div><div class="sl-marker marker"></div></div>'');
  var e = $(''.farbtastic'', container);
  fb.wheel = $(''.wheel'', container).get(0);
  // Dimensions
  fb.radius = 84;
  fb.square = 100;
  fb.width = 194;

  // Fix background PNGs in IE6
  if (navigator.appVersion.match(/MSIE [0-6]\./)) {
    $(''*'', e).each(function () {
      if (this.currentStyle.backgroundImage !!= ''none'') {
        var image = this.currentStyle.backgroundImage;
        image = this.currentStyle.backgroundImage.substring(5, image.length - 2);
        $(this).css({
          ''backgroundImage'': ''none'',
          ''filter'': "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=crop, src=''" + image + "'')"
        });
      }
    });
  }

  /**
   * Link to the given element(s) or callback.
   */
  fb.linkTo = function (callback) {
    // Unbind previous nodes
    if (typeof fb.callback == ''object'') {
      $(fb.callback).unbind(''keyup'', fb.updateValue);
    }

    // Reset color
    fb.color = null;

    // Bind callback or elements
    if (typeof callback == ''function'') {
      fb.callback = callback;
    }
    else if (typeof callback == ''object'' || typeof callback == ''string'') {
      fb.callback = $(callback);
      fb.callback.bind(''keyup'', fb.updateValue);
      if (fb.callback.get(0).value) {
        fb.setColor(fb.callback.get(0).value);
      }
    }
    return this;
  }
  fb.updateValue = function (event) {
    if (this.value && this.value !!= fb.color) {
      fb.setColor(this.value);
    }
  }

  /**
   * Change color with HTML syntax #123456
   */
  fb.setColor = function (color) {
    var unpack = fb.unpack(color);
    if (fb.color !!= color && unpack) {
      fb.color = color;
      fb.rgb = unpack;
      fb.hsl = fb.RGBToHSL(fb.rgb);
      fb.updateDisplay();
    }
    return this;
  }

  /**
   * Change color with HSL triplet [0..1, 0..1, 0..1]
   */
  fb.setHSL = function (hsl) {
    fb.hsl = hsl;
    fb.rgb = fb.HSLToRGB(hsl);
    fb.color = fb.pack(fb.rgb);
    fb.updateDisplay();
    return this;
  }

  /////////////////////////////////////////////////////

  /**
   * Retrieve the coordinates of the given event relative to the center
   * of the widget.
   */
  fb.widgetCoords = function (event) {
    var x, y;
    var el = event.target || event.srcElement;
    var reference = fb.wheel;

    if (typeof event.offsetX !!= ''undefined'') {
      // Use offset coordinates and find common offsetParent
      var pos = { x: event.offsetX, y: event.offsetY };

      // Send the coordinates upwards through the offsetParent chain.
      var e = el;
      while (e) {
        e.mouseX = pos.x;
        e.mouseY = pos.y;
        pos.x += e.offsetLeft;
        pos.y += e.offsetTop;
        e = e.offsetParent;
      }

      // Look for the coordinates starting from the wheel widget.
      var e = reference;
      var offset = { x: 0, y: 0 }
      while (e) {
        if (typeof e.mouseX !!= ''undefined'') {
          x = e.mouseX - offset.x;
          y = e.mouseY - offset.y;
          break;
        }
        offset.x += e.offsetLeft;
        offset.y += e.offsetTop;
        e = e.offsetParent;
      }

      // Reset stored coordinates
      e = el;
      while (e) {
        e.mouseX = undefined;
        e.mouseY = undefined;
        e = e.offsetParent;
      }
    }
    else {
      // Use absolute coordinates
      var pos = fb.absolutePosition(reference);
      x = (event.pageX || 0*(event.clientX + $(''html'').get(0).scrollLeft)) - pos.x;
      y = (event.pageY || 0*(event.clientY + $(''html'').get(0).scrollTop)) - pos.y;
    }
    // Subtract distance to middle
    return { x: x - fb.width / 2, y: y - fb.width / 2 };
  }

  /**
   * Mousedown handler
   */
  fb.mousedown = function (event) {
    // Capture mouse
    if (!!document.dragging) {
      $(document).bind(''mousemove'', fb.mousemove).bind(''mouseup'', fb.mouseup);
      document.dragging = true;
    }

    // Check which area is being dragged
    var pos = fb.widgetCoords(event);
    fb.circleDrag = Math.max(Math.abs(pos.x), Math.abs(pos.y)) * 2 > fb.square;

    // Process
    fb.mousemove(event);
    return false;
  }

  /**
   * Mousemove handler
   */
  fb.mousemove = function (event) {
    // Get coordinates relative to color picker center
    var pos = fb.widgetCoords(event);

    // Set new HSL parameters
    if (fb.circleDrag) {
      var hue = Math.atan2(pos.x, -pos.y) / 6.28;
      if (hue < 0) hue += 1;
      fb.setHSL([hue, fb.hsl[1], fb.hsl[2]]);
    }
    else {
      var sat = Math.max(0, Math.min(1, -(pos.x / fb.square) + .5));
      var lum = Math.max(0, Math.min(1, -(pos.y / fb.square) + .5));
      fb.setHSL([fb.hsl[0], sat, lum]);
    }
    return false;
  }

  /**
   * Mouseup handler
   */
  fb.mouseup = function () {
    // Uncapture mouse
    $(document).unbind(''mousemove'', fb.mousemove);
    $(document).unbind(''mouseup'', fb.mouseup);
    document.dragging = false;
  }

  /**
   * Update the markers and styles
   */
  fb.updateDisplay = function () {
    // Markers
    var angle = fb.hsl[0] * 6.28;
    $(''.h-marker'', e).css({
      left: Math.round(Math.sin(angle) * fb.radius + fb.width / 2) + ''px'',
      top: Math.round(-Math.cos(angle) * fb.radius + fb.width / 2) + ''px''
    });

    $(''.sl-marker'', e).css({
      left: Math.round(fb.square * (.5 - fb.hsl[1]) + fb.width / 2) + ''px'',
      top: Math.round(fb.square * (.5 - fb.hsl[2]) + fb.width / 2) + ''px''
    });

    // Saturation/Luminance gradient
    $(''.color'', e).css(''backgroundColor'', fb.pack(fb.HSLToRGB([fb.hsl[0], 1, 0.5])));

    // Linked elements or callback
    if (typeof fb.callback == ''object'') {
      // Set background/foreground color
      $(fb.callback).css({
        backgroundColor: fb.color,
        color: fb.hsl[2] > 0.5 ? ''#000'' : ''#fff''
      });

      // Change linked value
      $(fb.callback).each(function() {
        if (this.value && this.value !!= fb.color) {
          this.value = fb.color;
        }
      });
    }
    else if (typeof fb.callback == ''function'') {
      fb.callback.call(fb, fb.color);
    }
  }

  /**
   * Get absolute position of element
   */
  fb.absolutePosition = function (el) {
    var r = { x: el.offsetLeft, y: el.offsetTop };
    // Resolve relative to offsetParent
    if (el.offsetParent) {
      var tmp = fb.absolutePosition(el.offsetParent);
      r.x += tmp.x;
      r.y += tmp.y;
    }
    return r;
  };

  /* Various color utility functions */
  fb.pack = function (rgb) {
    var r = Math.round(rgb[0] * 255);
    var g = Math.round(rgb[1] * 255);
    var b = Math.round(rgb[2] * 255);
    return ''#'' + (r < 16 ? ''0'' : '''') + r.toString(16) +
           (g < 16 ? ''0'' : '''') + g.toString(16) +
           (b < 16 ? ''0'' : '''') + b.toString(16);
  }

  fb.unpack = function (color) {
    if (color.length == 7) {
      return [parseInt(''0x'' + color.substring(1, 3)) / 255,
        parseInt(''0x'' + color.substring(3, 5)) / 255,
        parseInt(''0x'' + color.substring(5, 7)) / 255];
    }
    else if (color.length == 4) {
      return [parseInt(''0x'' + color.substring(1, 2)) / 15,
        parseInt(''0x'' + color.substring(2, 3)) / 15,
        parseInt(''0x'' + color.substring(3, 4)) / 15];
    }
  }

  fb.HSLToRGB = function (hsl) {
    var m1, m2, r, g, b;
    var h = hsl[0], s = hsl[1], l = hsl[2];
    m2 = (l <= 0.5) ? l * (s + 1) : l + s - l*s;
    m1 = l * 2 - m2;
    return [this.hueToRGB(m1, m2, h+0.33333),
        this.hueToRGB(m1, m2, h),
        this.hueToRGB(m1, m2, h-0.33333)];
  }

  fb.hueToRGB = function (m1, m2, h) {
    h = (h < 0) ? h + 1 : ((h > 1) ? h - 1 : h);
    if (h * 6 < 1) return m1 + (m2 - m1) * h * 6;
    if (h * 2 < 1) return m2;
    if (h * 3 < 2) return m1 + (m2 - m1) * (0.66666 - h) * 6;
    return m1;
  }

  fb.RGBToHSL = function (rgb) {
    var min, max, delta, h, s, l;
    var r = rgb[0], g = rgb[1], b = rgb[2];
    min = Math.min(r, Math.min(g, b));
    max = Math.max(r, Math.max(g, b));
    delta = max - min;
    l = (min + max) / 2;
    s = 0;
    if (l > 0 && l < 1) {
      s = delta / (l < 0.5 ? (2 * l) : (2 - 2 * l));
    }
    h = 0;
    if (delta > 0) {
      if (max == r && max !!= g) h += (g - b) / delta;
      if (max == g && max !!= b) h += (2 + (b - r) / delta);
      if (max == b && max !!= r) h += (4 + (r - g) / delta);
      h /= 6;
    }
    return [h, s, l];
  }

  // Install mousedown handler (the others are set on the document on-demand)
  $(''*'', e).mousedown(fb.mousedown);

    // Init color
  fb.setColor(''#000000'');

  // Set linked elements/callback
  if (callback) {
    fb.linkTo(callback);
  }
}'! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:29'!
markerPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 17 0 0 0 17 8 6 0 0 0 59 109 71 250 0 0 0 43 116 69 88 116 67 114 101 97 116 105 111 110 32 84 105 109 101 0 118 114 32 49 52 32 106 117 108 32 50 48 48 54 32 49 51 58 51 49 58 50 51 32 43 48 49 48 48 30 242 67 103 0 0 0 7 116 73 77 69 7 214 7 14 11 32 37 136 153 225 181 0 0 0 9 112 72 89 115 0 0 46 34 0 0 46 34 1 170 226 221 146 0 0 0 4 103 65 77 65 0 0 177 143 11 252 97 5 0 0 1 228 73 68 65 84 120 218 173 147 207 75 42 81 20 199 239 100 42 226 96 18 72 10 18 33 244 131 116 33 8 242 162 69 45 116 163 45 132 144 54 129 139 32 218 200 243 253 25 15 218 180 42 112 229 42 66 12 121 185 143 247 22 81 8 65 34 45 2 193 136 200 141 36 54 42 253 152 57 239 123 233 10 67 58 9 209 129 15 115 231 220 235 215 123 190 231 12 99 223 16 210 176 36 17 241 252 44 88 2 211 64 1 87 224 92 146 164 238 72 85 8 44 130 63 160 11 84 160 9 94 65 29 108 131 113 195 155 96 51 129 199 62 152 82 20 69 42 151 203 172 94 175 51 89 150 89 40 20 98 62 159 143 31 123 1 199 96 107 224 86 226 6 15 154 166 81 177 88 164 96 48 248 140 31 95 152 76 166 67 171 213 122 226 118 187 27 233 116 154 154 205 38 142 209 27 248 61 224 129 40 65 43 20 10 228 114 185 238 144 78 130 9 96 2 86 48 15 193 163 100 50 73 157 78 135 11 61 129 144 94 100 142 123 208 106 181 200 239 247 247 144 74 24 152 62 101 177 88 206 114 185 28 9 159 246 244 34 41 110 98 169 84 34 155 205 246 23 41 249 19 239 55 99 177 24 137 224 29 99 99 98 131 183 81 170 213 106 172 215 235 221 136 150 26 197 101 181 90 237 175 103 244 34 188 4 102 183 219 25 234 150 133 15 70 49 225 112 56 250 107 69 47 82 1 106 56 28 102 78 167 243 7 214 94 3 1 46 190 30 137 68 250 239 87 122 79 100 112 175 170 42 165 82 41 66 255 179 72 79 14 17 88 243 120 60 143 149 74 133 196 32 238 124 108 243 79 240 210 104 52 40 30 143 107 102 179 249 20 233 13 176 192 222 199 127 151 11 228 243 249 126 103 184 146 252 81 196 2 138 252 31 218 237 54 101 179 89 138 70 163 228 245 122 41 16 8 80 38 147 33 113 3 46 192 39 110 121 104 193 216 112 130 3 241 221 104 52 24 188 132 107 176 194 70 5 14 173 2 62 81 183 98 196 219 224 31 248 5 28 35 5 190 18 255 1 179 79 94 173 187 148 199 136 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:29'!
maskPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 101 0 0 0 101 8 6 0 0 0 84 124 45 207 0 0 0 7 116 73 77 69 7 214 7 14 8 51 11 55 230 19 177 0 0 7 152 73 68 65 84 120 218 237 93 219 82 228 58 12 108 169 6 254 255 139 143 247 9 10 6 219 234 150 228 100 56 197 84 81 203 198 55 169 91 55 59 153 0 252 125 94 238 99 127 250 252 41 113 82 14 251 191 16 106 47 52 215 29 227 237 197 250 95 14 68 119 223 43 251 92 70 200 93 2 157 104 187 122 222 241 116 189 21 71 59 8 240 174 253 74 210 58 199 92 177 70 187 146 187 62 118 112 253 12 136 99 210 110 135 100 145 230 181 6 96 171 194 177 115 86 214 238 234 115 201 181 199 129 68 159 1 224 36 104 39 201 61 162 215 93 2 218 97 229 159 195 19 163 231 203 232 115 39 248 175 2 66 212 102 79 21 87 100 0 179 177 146 76 170 5 101 149 181 100 127 4 115 40 224 142 141 76 131 156 215 138 198 71 141 87 72 185 66 160 171 215 168 140 183 192 128 86 70 97 11 175 179 93 162 87 54 69 118 209 239 38 120 77 23 1 172 28 44 249 206 202 240 56 176 79 176 162 183 49 125 59 66 99 198 19 236 0 185 166 144 130 142 5 10 74 118 174 89 1 217 14 24 95 153 20 35 132 101 192 84 129 87 9 202 180 205 100 28 155 62 42 81 150 233 147 217 60 154 16 186 90 132 76 204 155 153 223 22 191 163 113 205 20 41 149 163 252 147 192 189 194 220 39 229 252 246 175 53 89 124 151 162 150 8 61 191 249 223 105 219 87 79 89 237 88 209 181 216 139 140 205 24 202 73 153 183 164 48 71 13 12 81 87 131 24 245 53 162 216 176 68 164 56 70 214 138 148 231 99 135 17 40 88 37 75 73 186 70 206 241 117 195 22 93 139 218 178 250 164 230 120 4 132 168 187 90 38 4 176 150 91 81 112 38 143 7 215 78 120 67 234 154 178 121 28 5 128 186 173 73 37 38 242 74 133 72 35 138 18 171 24 89 116 246 197 150 203 170 39 64 4 122 85 37 122 146 132 172 241 236 250 171 198 73 145 18 229 9 86 24 37 164 177 27 57 133 172 8 32 159 144 58 203 39 30 144 95 1 222 50 225 203 130 163 233 1 237 6 153 42 188 37 67 129 39 44 185 34 35 10 191 47 231 97 195 151 17 103 89 86 104 203 180 179 100 238 42 44 223 144 58 243 158 12 89 234 255 195 68 159 125 8 65 1 56 171 72 6 24 134 4 35 137 168 122 254 114 142 204 230 49 42 137 237 226 107 182 200 5 119 201 4 209 176 140 37 37 11 126 84 24 156 32 132 41 10 60 184 102 162 23 210 249 33 163 151 26 190 86 64 131 180 226 140 98 153 182 202 120 23 44 252 132 65 125 146 82 125 38 56 58 31 83 73 180 6 82 60 0 200 11 228 169 100 73 68 173 142 89 152 202 9 13 201 248 10 64 50 164 176 114 102 60 35 148 255 17 84 77 131 40 2 152 28 130 3 132 248 83 197 148 77 172 85 82 186 66 47 157 232 119 150 160 28 93 68 74 64 32 14 77 30 228 7 193 47 145 124 226 193 9 102 83 136 70 171 68 49 119 84 127 190 174 99 13 107 73 15 78 12 114 179 200 156 107 169 33 173 10 24 179 78 6 212 35 132 63 8 112 84 47 66 18 112 52 204 209 241 227 73 242 159 9 90 17 230 147 113 41 79 49 210 19 170 192 98 163 192 42 161 251 4 20 95 40 124 154 148 138 33 124 234 240 216 148 195 204 62 67 9 99 85 210 176 136 225 74 136 97 172 247 20 113 244 124 15 193 35 0 126 151 14 33 142 179 123 160 104 215 221 105 201 126 136 16 103 240 120 76 188 100 245 24 127 116 35 137 245 172 232 246 43 155 123 124 23 2 22 32 204 226 126 213 35 58 189 204 163 146 152 41 129 45 81 85 85 18 56 19 186 86 228 86 192 203 144 151 38 252 65 148 171 35 185 233 59 85 61 185 80 142 122 50 52 49 196 58 145 180 213 57 229 205 227 8 78 142 149 155 92 236 253 251 157 240 16 42 180 10 65 179 144 231 162 245 187 66 244 35 81 25 49 247 222 213 226 224 228 113 136 39 195 146 39 175 121 33 39 81 164 48 95 8 53 194 83 148 123 237 78 30 241 236 146 118 71 140 103 254 143 133 87 121 133 216 72 33 39 99 46 171 128 39 193 83 172 113 167 11 26 231 139 228 115 50 132 77 115 202 99 195 108 86 32 43 0 229 13 97 196 3 48 78 232 217 17 38 63 247 41 111 139 9 190 90 54 146 96 57 89 217 168 149 142 19 201 57 170 120 42 249 164 203 64 167 5 202 142 148 211 9 16 34 48 142 252 126 194 137 19 97 22 80 79 150 211 44 217 20 41 40 90 198 174 196 204 148 150 153 18 182 235 24 197 11 114 3 194 49 203 155 8 174 178 152 7 213 146 67 63 159 234 38 18 141 145 0 194 154 190 35 229 157 168 20 208 108 21 142 218 57 81 117 252 234 172 172 107 239 82 146 233 195 83 42 167 154 221 199 221 43 131 112 161 127 247 41 175 55 235 183 203 103 211 240 133 38 80 59 143 187 51 71 239 72 16 214 9 118 86 222 17 121 10 163 104 116 84 146 5 1 196 250 40 144 118 215 109 101 48 119 30 223 46 120 226 227 148 210 25 82 112 17 41 86 245 148 236 125 105 251 251 105 187 15 244 249 110 24 134 148 168 10 83 45 19 196 49 123 39 16 119 16 192 60 23 176 125 238 235 109 146 8 177 33 165 180 96 113 124 7 9 85 35 83 191 142 161 230 176 241 156 83 32 86 17 104 120 176 65 125 194 16 137 190 184 192 203 186 158 210 156 38 250 78 5 208 12 0 163 100 55 81 153 231 162 157 148 23 43 82 222 147 33 160 227 107 9 167 190 246 128 27 141 9 193 237 232 200 248 63 61 5 155 195 72 8 194 161 224 226 85 82 144 244 154 110 143 68 113 237 241 113 147 171 10 36 146 99 153 80 130 130 65 100 198 98 113 80 170 226 128 44 150 171 146 24 4 216 40 132 19 52 133 34 84 148 63 16 38 59 72 217 30 179 64 80 40 171 48 136 138 170 123 237 140 94 94 144 3 155 71 116 103 47 79 248 145 232 187 94 151 49 171 70 24 82 32 202 80 37 46 99 233 158 124 66 148 245 162 229 209 61 136 48 134 38 55 70 193 253 33 0 94 241 254 142 54 118 189 105 248 66 210 154 84 37 177 41 19 59 214 4 81 88 168 243 42 15 39 250 230 25 184 93 219 15 79 65 193 146 59 199 86 129 239 124 211 16 138 250 169 178 77 75 226 236 66 0 255 78 173 142 151 164 41 227 144 8 127 29 134 22 121 204 210 83 222 19 2 41 2 176 47 105 171 0 129 162 14 202 24 38 4 150 174 173 194 151 157 92 84 104 187 66 30 150 8 187 72 198 161 228 20 20 0 172 18 144 105 235 52 18 69 110 32 247 74 221 163 164 224 192 92 221 243 94 246 138 244 68 159 144 20 20 22 234 6 70 13 65 236 216 140 12 39 245 31 179 68 159 153 24 13 32 119 89 106 231 188 21 131 204 26 192 212 83 186 1 237 2 131 205 33 29 196 63 127 207 115 8 6 81 197 2 207 251 20 144 74 119 145 130 3 198 208 77 190 26 49 170 178 125 11 95 25 165 25 75 139 198 238 92 126 213 127 36 20 31 98 152 86 129 143 114 16 253 55 4 190 122 74 198 106 186 172 175 219 138 51 237 163 24 22 187 198 124 122 74 151 98 29 237 187 132 153 249 139 21 187 235 157 250 40 50 236 140 96 74 10 68 87 93 1 199 128 200 174 219 209 239 183 252 254 35 124 93 5 68 215 248 149 1 236 188 107 247 103 174 152 183 253 129 12 129 35 169 255 183 179 175 104 32 227 138 216 36 88 165 141 33 5 133 177 108 219 29 107 140 103 82 34 229 163 10 102 215 87 25 139 2 1 85 160 85 227 220 121 226 200 204 63 35 165 195 122 134 32 248 7 97 207 33 39 11 88 7 105 167 198 48 125 166 251 20 118 178 157 101 103 5 238 84 246 132 30 21 153 217 107 99 150 232 213 24 62 136 28 147 81 10 47 50 7 27 82 219 100 94 121 74 69 168 223 60 230 21 228 219 122 74 101 226 43 218 79 141 221 1 60 174 192 229 235 230 177 34 124 84 218 178 243 239 194 222 104 32 249 238 126 76 223 17 145 18 229 15 102 193 65 150 161 32 214 96 229 168 2 119 231 56 42 124 93 41 208 201 249 172 97 236 184 64 223 177 218 167 188 226 199 110 48 134 59 62 195 0 252 135 191 207 75 125 254 1 202 57 115 229 101 207 53 91 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-farbtastic-core' stamp: 'PaulDeBruicker 6/5/2011 20:28'!
wheelPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 195 0 0 0 195 8 6 0 0 0 63 127 165 170 0 0 0 7 116 73 77 69 7 214 7 14 8 50 40 140 154 83 130 0 0 45 137 73 68 65 84 120 218 237 157 121 152 29 69 185 240 127 85 213 103 102 50 217 67 66 216 163 73 32 202 162 178 232 189 16 22 3 10 178 136 18 110 130 128 138 232 39 234 69 212 139 138 220 139 144 139 34 23 212 136 202 162 44 70 22 65 150 239 147 43 66 68 64 16 69 80 64 4 101 15 75 130 64 128 4 19 200 36 153 204 116 87 125 127 156 51 51 103 122 170 186 171 251 244 153 153 76 186 158 167 159 211 167 186 207 210 221 239 175 222 165 222 170 130 178 148 165 44 101 41 75 89 202 82 150 178 148 165 44 101 113 23 81 222 130 226 139 1 9 147 167 66 101 58 232 173 65 79 129 104 114 117 211 147 65 143 130 104 12 68 10 162 86 48 163 16 38 66 210 129 196 160 88 139 162 19 197 106 36 43 81 172 64 242 58 138 87 16 44 69 177 140 23 233 20 96 202 187 93 194 48 28 4 94 192 54 109 48 126 7 48 59 65 184 51 232 29 33 154 9 122 26 232 49 16 1 186 182 69 244 189 175 223 175 189 23 6 20 32 169 190 246 108 182 247 146 8 197 203 72 158 67 241 20 138 199 16 60 74 192 163 252 141 149 162 250 165 101 41 97 104 154 240 43 248 151 109 65 207 6 51 27 162 189 32 122 59 152 22 171 112 247 19 124 109 1 193 19 134 52 64 250 239 27 20 203 145 60 128 228 143 4 220 131 230 97 254 84 106 145 18 134 134 133 127 191 41 32 247 135 232 253 16 189 183 214 226 11 183 224 39 105 128 2 97 200 2 136 160 3 197 159 145 220 129 224 54 90 120 140 91 233 42 225 40 97 72 1 96 191 0 218 102 1 243 64 31 12 102 87 136 42 126 130 239 2 193 118 60 1 134 162 128 112 1 34 121 9 201 111 145 220 200 26 238 224 110 214 150 96 148 48 212 0 152 167 32 154 14 102 30 68 71 66 244 46 48 210 46 200 218 67 208 83 132 222 85 151 6 67 17 64 244 135 2 36 43 80 220 130 228 58 214 243 123 113 51 235 74 24 54 73 231 247 67 227 97 212 97 160 63 1 122 95 208 149 252 173 191 206 8 66 78 24 26 1 69 166 58 229 203 16 252 28 197 149 188 192 18 113 55 97 9 195 136 55 131 166 237 8 226 211 16 205 3 61 213 221 234 235 12 78 112 22 211 200 113 172 30 6 151 112 7 253 132 119 96 93 207 171 237 60 151 118 8 98 231 9 186 81 252 30 201 34 90 185 73 92 68 71 9 195 136 130 224 184 54 104 219 7 162 147 64 31 4 186 101 160 32 235 140 194 157 21 142 140 48 216 128 8 40 222 148 146 3 52 68 253 251 37 72 46 37 224 74 126 200 107 35 221 183 16 35 27 130 19 218 33 56 12 204 201 160 223 83 141 4 185 4 95 123 154 63 141 66 224 56 39 14 67 16 107 193 227 48 168 130 193 144 78 191 2 20 43 17 92 78 192 5 44 228 31 35 181 31 67 140 76 8 190 60 26 194 195 128 175 128 222 163 79 216 211 76 31 221 36 8 210 204 38 7 12 62 62 132 47 24 54 129 15 60 96 232 255 186 10 201 34 4 23 208 198 11 226 204 145 5 133 24 89 16 156 212 10 109 7 1 103 128 222 221 29 9 202 3 129 143 163 156 84 151 2 75 18 12 89 4 62 112 8 125 86 115 41 89 91 172 66 112 9 1 223 23 103 242 74 9 195 176 130 96 129 132 104 39 48 103 130 62 28 180 114 135 69 125 90 125 157 67 160 181 167 137 84 0 12 73 128 100 49 165 210 34 76 174 215 190 115 151 98 248 6 107 184 94 44 100 237 198 46 71 114 227 7 225 91 83 64 158 13 242 143 32 143 0 161 170 140 215 111 146 129 117 36 28 115 109 96 255 110 57 52 237 138 235 111 8 203 223 73 187 12 17 187 12 159 91 40 120 11 1 139 216 140 91 204 57 236 109 174 71 149 48 12 145 73 100 248 214 92 208 247 128 248 26 200 177 233 210 145 254 116 253 0 112 73 220 48 212 251 190 151 46 61 246 235 111 107 255 115 246 67 112 27 47 240 61 243 109 182 40 97 24 52 8 16 134 115 183 135 109 46 7 121 61 200 29 178 65 144 103 195 34 252 121 190 163 9 130 61 20 155 13 22 201 40 4 95 160 194 61 230 7 204 55 11 104 43 97 104 174 111 208 6 231 29 15 193 31 64 126 4 164 114 11 191 116 188 230 209 14 190 194 93 48 24 89 191 166 121 130 238 214 18 241 54 72 49 3 201 53 108 193 79 205 133 108 91 194 208 20 16 126 176 13 76 190 20 228 165 32 167 218 116 181 191 86 144 13 10 127 163 173 127 65 230 85 163 22 94 150 91 36 19 94 7 214 41 224 35 84 184 203 252 132 195 204 2 130 18 134 66 32 152 167 12 63 254 0 4 119 130 248 40 72 153 110 22 201 12 218 193 246 29 69 53 179 57 129 72 251 184 239 207 201 12 130 159 118 11 211 110 167 180 182 73 51 16 220 192 91 57 199 92 196 196 18 134 134 64 184 184 29 14 252 42 200 255 11 106 123 215 29 207 214 148 217 206 135 198 125 8 111 169 54 64 55 208 9 172 173 109 111 2 107 106 251 235 128 174 90 204 213 253 117 69 152 73 210 17 65 74 51 135 132 135 83 221 119 110 27 146 47 51 134 95 152 171 152 53 220 227 13 195 20 132 159 110 1 98 33 68 71 87 211 40 140 165 191 64 147 220 177 150 167 47 193 179 95 192 185 133 17 68 235 33 92 15 122 45 68 203 32 122 30 194 151 33 252 39 132 171 32 122 3 244 26 232 234 172 158 207 122 160 66 64 43 10 133 100 12 1 227 81 140 39 96 18 1 83 8 152 70 192 12 20 155 161 104 67 209 78 64 133 0 145 216 191 144 165 191 162 190 175 66 146 173 99 78 166 236 247 100 198 194 231 80 220 38 230 91 96 47 97 176 129 112 205 174 160 47 131 104 55 183 240 251 244 46 167 1 208 64 39 89 117 211 16 174 131 104 53 68 79 64 248 32 232 39 160 251 121 208 75 225 153 229 130 98 31 186 153 206 120 42 108 135 100 58 21 102 162 120 7 138 119 163 152 74 192 88 2 42 185 59 238 178 36 247 37 229 50 37 3 210 1 252 55 107 184 80 28 79 103 9 131 59 90 36 97 231 131 32 188 12 244 86 233 194 159 71 51 228 73 171 232 221 12 132 157 16 173 128 232 126 208 119 65 248 8 172 127 76 240 200 234 33 187 111 251 17 208 197 76 20 59 163 216 19 197 254 40 166 161 24 71 128 74 212 26 178 1 32 146 52 195 64 173 80 95 167 17 92 132 225 116 113 4 171 75 24 6 128 240 96 5 150 125 18 162 111 131 25 151 14 64 196 64 211 169 209 180 108 23 0 209 58 136 94 128 232 22 208 191 129 181 127 17 220 179 106 216 154 152 251 17 80 225 237 84 152 77 133 185 72 222 133 98 18 1 202 203 132 74 203 130 237 17 238 192 3 130 36 179 73 112 51 134 207 138 15 242 82 9 67 47 8 55 181 131 62 181 182 85 210 77 163 164 124 163 36 40 146 198 40 15 128 160 19 194 231 171 0 68 183 64 116 191 224 230 141 110 88 164 1 193 92 102 162 56 0 201 92 2 118 71 49 129 160 22 0 77 51 149 124 253 7 219 123 153 232 63 244 212 63 132 224 163 226 64 158 216 228 97 48 220 53 6 58 206 6 125 98 117 236 113 35 16 100 201 70 181 130 160 65 175 132 232 110 8 175 134 142 59 5 55 173 97 132 20 3 146 99 216 137 86 142 68 50 15 197 76 20 45 153 253 8 31 16 148 23 8 61 26 98 9 1 71 137 247 242 215 77 22 6 195 237 227 161 251 60 48 159 232 63 240 166 103 51 30 166 82 26 8 94 218 33 170 153 65 215 194 134 171 4 87 61 193 8 47 230 88 198 49 134 67 81 156 128 226 221 4 180 163 106 145 41 87 234 183 204 0 135 47 16 245 145 38 193 49 236 199 125 67 53 162 78 12 29 8 183 78 2 245 35 208 243 253 204 162 44 14 179 183 102 136 64 63 7 209 101 208 117 149 224 146 229 108 98 197 204 163 133 173 152 131 226 139 4 236 139 100 180 211 177 246 73 243 246 119 162 109 219 114 36 31 103 47 126 59 20 64 136 161 1 225 246 241 160 46 169 130 96 10 4 193 123 132 154 6 189 12 162 69 176 254 50 193 69 175 176 137 23 115 2 21 38 241 126 36 39 215 34 82 237 153 65 80 30 48 164 3 241 26 1 71 138 61 184 103 196 195 96 248 211 56 232 58 31 244 199 237 230 80 94 159 193 43 130 100 32 122 21 244 229 208 121 145 224 123 255 160 44 253 159 207 73 180 50 158 67 105 225 171 72 118 71 213 245 91 248 134 88 147 204 163 116 115 9 4 47 161 152 47 118 227 222 17 11 131 225 55 163 97 244 247 192 156 48 16 0 227 1 128 105 192 60 10 215 130 190 17 196 183 5 103 252 189 20 251 148 103 245 53 198 51 129 143 34 57 25 201 91 123 123 186 27 129 193 7 132 62 32 150 33 153 43 222 201 67 35 14 134 106 63 66 248 77 48 167 244 57 203 198 3 134 172 41 24 3 28 102 93 237 21 214 11 160 243 151 130 51 195 82 212 51 60 183 111 51 3 197 2 2 142 68 209 158 56 231 82 158 190 6 59 8 61 251 79 211 194 193 98 22 207 141 24 24 170 61 203 31 252 28 152 239 131 14 236 0 52 2 131 19 132 55 192 92 5 235 206 17 124 253 165 82 180 115 62 191 139 169 176 129 185 40 206 64 241 54 84 173 143 194 167 71 58 175 118 232 3 226 30 20 115 197 14 172 216 232 97 168 78 229 248 151 15 130 184 26 204 152 100 211 200 228 212 10 3 28 102 13 209 227 85 45 244 250 111 4 103 150 235 21 20 241 44 207 103 43 90 248 6 1 199 160 24 229 213 207 144 61 162 84 149 74 213 15 136 159 51 134 79 139 45 155 59 233 192 32 192 240 248 110 16 45 134 104 170 159 159 224 3 68 82 199 91 216 9 209 13 160 79 19 156 88 58 200 205 208 18 173 124 20 201 2 36 219 245 246 77 248 70 147 178 248 13 125 26 194 32 56 151 101 156 46 230 52 111 14 88 209 92 16 158 157 10 27 126 13 122 87 127 179 200 7 8 103 68 233 53 208 223 128 177 151 10 230 119 149 162 219 196 103 123 57 239 160 133 31 18 176 55 18 229 5 67 86 16 250 155 75 27 16 124 138 109 185 70 136 230 244 65 136 230 129 240 96 59 140 93 4 250 168 62 225 246 133 33 43 16 145 1 253 24 132 95 16 124 226 174 82 84 7 9 136 171 153 76 11 103 161 56 14 69 91 98 142 82 30 16 6 14 45 93 137 228 16 177 21 15 52 227 122 100 115 64 48 18 38 126 9 228 60 251 149 169 140 119 33 241 60 13 242 78 80 31 46 65 24 220 34 142 101 37 47 243 69 36 103 32 121 35 151 176 219 167 199 183 131 164 152 140 224 39 230 213 230 76 71 211 164 97 159 47 28 0 242 180 234 120 101 155 87 37 60 238 138 87 83 18 130 188 14 228 209 130 163 159 45 197 115 8 128 248 34 27 248 43 11 17 156 132 228 213 212 199 166 82 30 179 114 130 208 19 206 221 5 197 119 141 161 101 216 155 73 134 165 91 130 188 11 204 44 183 105 148 165 195 205 105 26 117 215 114 138 78 17 204 239 40 197 114 24 152 77 183 113 8 146 31 163 216 54 81 160 243 152 73 253 205 165 136 128 207 48 142 69 69 230 48 201 98 65 48 21 168 156 11 106 86 114 128 89 144 95 159 74 64 110 0 117 30 116 125 185 4 97 24 105 137 3 89 140 228 99 72 158 69 98 10 141 44 245 23 37 133 224 127 88 195 78 195 216 76 122 237 24 80 71 187 231 14 73 27 1 226 117 87 214 129 248 22 116 156 46 152 191 190 20 193 97 6 196 254 220 141 225 104 20 143 163 98 64 184 122 171 125 205 166 254 237 233 20 2 46 48 134 209 195 206 76 50 252 115 26 232 123 171 99 151 77 130 89 148 20 81 50 41 166 145 222 0 209 217 32 206 22 204 41 211 42 134 179 201 116 63 187 34 184 14 201 76 36 162 129 30 232 129 157 112 253 95 191 66 133 239 21 17 110 21 197 128 96 2 88 125 57 152 99 237 16 24 79 16 162 4 255 33 234 2 115 46 188 124 86 79 31 130 49 166 236 89 30 34 5 224 60 32 68 239 49 243 0 239 33 224 231 40 166 59 70 184 165 199 85 68 202 190 96 21 138 217 66 52 62 108 180 32 24 222 252 48 232 27 128 96 160 240 167 57 205 62 206 179 9 65 95 12 235 190 34 152 211 59 189 136 49 166 107 56 92 255 16 253 246 80 126 222 11 6 0 243 48 251 83 225 106 36 91 228 234 91 112 57 210 181 87 35 192 8 22 75 152 43 4 27 134 84 24 12 111 108 6 234 62 48 219 219 133 63 139 118 176 193 18 233 106 234 117 231 241 130 189 251 141 71 54 198 172 29 196 107 23 5 156 35 6 249 255 20 245 223 188 255 123 28 6 0 243 24 71 161 184 4 197 184 186 85 69 253 98 42 142 249 92 141 232 123 213 160 53 28 223 42 184 114 200 96 48 24 1 93 223 4 125 154 91 19 216 180 132 11 138 184 153 20 153 234 250 11 250 72 193 110 3 178 22 141 49 171 26 16 52 209 4 97 21 67 8 74 179 174 63 83 157 21 6 16 60 195 73 8 206 237 215 83 237 171 25 236 218 32 46 89 75 187 224 61 227 68 254 236 214 6 97 232 220 17 228 125 213 121 142 146 76 35 31 45 97 213 14 207 0 135 10 118 124 218 250 251 198 172 200 112 77 98 16 33 17 131 244 251 62 231 54 251 251 68 204 76 146 246 103 69 192 82 22 18 112 98 111 46 147 45 83 53 97 150 239 30 109 160 133 179 137 253 206 24 248 90 94 103 90 228 7 193 4 192 245 160 143 72 134 32 201 60 74 52 153 86 129 62 70 240 182 91 157 255 193 152 151 50 62 204 134 31 118 78 97 19 27 209 247 231 249 46 145 6 3 128 89 201 56 186 184 1 193 251 251 69 152 60 204 35 211 103 18 13 144 170 186 253 142 16 102 79 18 252 109 80 97 232 198 28 44 225 38 129 9 170 95 146 87 43 88 211 184 187 64 255 39 204 56 47 169 135 209 24 179 52 233 193 20 241 112 115 124 103 150 243 69 131 255 165 89 191 147 251 179 73 48 0 152 23 152 73 43 139 81 108 239 5 65 237 219 226 218 32 193 0 255 213 36 56 66 136 236 115 220 138 156 90 161 210 5 119 74 216 187 39 221 188 250 101 134 252 78 180 169 247 19 174 135 174 227 4 59 36 70 7 140 49 75 50 8 79 17 32 228 21 28 81 208 241 102 9 182 40 170 46 13 6 0 243 26 135 82 225 90 36 99 92 126 66 204 65 78 5 161 78 162 66 5 115 38 137 236 179 107 228 130 161 19 115 168 129 155 36 200 254 83 245 155 222 215 236 26 161 247 51 75 96 253 251 4 51 94 72 189 169 198 60 158 241 129 55 42 128 34 39 124 69 9 94 161 130 235 241 234 115 44 59 12 6 193 26 206 69 112 114 45 181 98 0 8 6 127 16 44 80 44 158 10 135 103 213 14 34 143 86 88 11 119 138 154 86 176 175 101 81 175 41 50 105 136 181 160 143 21 108 241 75 175 255 98 204 35 57 132 65 12 146 96 21 249 185 34 207 117 125 214 167 17 73 122 245 134 1 192 172 98 2 45 220 130 98 207 30 255 193 229 32 103 1 161 86 23 26 216 127 107 193 31 178 200 118 230 181 182 222 132 3 129 189 234 1 48 117 32 84 247 69 93 210 147 170 65 81 127 166 142 189 10 170 161 98 113 57 92 248 171 76 174 75 246 150 172 104 129 201 42 176 121 127 43 143 128 198 207 53 142 247 241 253 250 223 49 41 117 245 159 247 111 133 39 178 218 172 229 100 36 191 70 49 209 88 76 162 172 16 212 213 7 26 254 211 24 254 40 4 186 41 154 193 96 212 42 184 93 192 28 159 37 133 101 204 124 74 214 10 209 211 16 236 39 24 227 61 187 157 49 230 190 140 218 32 207 107 94 51 195 23 180 60 223 37 50 254 103 223 223 77 171 115 29 175 119 160 51 45 140 110 12 103 105 56 213 128 106 4 4 75 93 24 194 236 25 130 251 155 162 25 86 192 94 2 246 117 105 133 250 58 217 239 152 168 1 33 235 180 68 63 173 176 1 212 215 5 237 89 167 121 236 206 208 210 103 17 194 172 130 150 229 243 222 130 229 113 204 247 247 77 74 157 79 163 105 44 247 214 20 16 153 252 174 134 67 52 236 234 27 123 52 126 96 4 192 127 24 195 49 190 253 14 222 48 44 192 72 3 39 155 106 215 8 88 0 168 135 194 101 58 137 218 190 232 59 203 128 92 12 45 55 230 138 240 54 46 164 105 2 235 11 86 210 239 231 129 65 100 252 126 219 123 19 219 79 58 110 131 198 120 152 76 13 21 33 88 221 105 56 195 192 245 26 70 233 28 16 184 76 38 3 31 126 10 102 1 79 22 106 38 45 199 236 100 224 33 1 45 89 150 13 118 175 189 217 235 100 255 19 228 254 2 241 72 102 103 222 152 91 155 161 234 113 47 42 43 50 2 36 82 132 55 237 187 243 126 159 72 185 110 223 207 10 207 255 86 239 64 171 236 207 17 213 1 215 26 56 82 87 91 199 196 240 169 7 4 189 199 129 11 222 38 56 169 80 205 16 194 113 46 16 226 77 140 76 208 20 125 175 2 1 90 33 22 229 1 33 166 25 178 10 125 86 33 244 21 48 31 56 178 190 247 21 198 172 130 44 61 156 227 52 135 185 144 172 95 33 136 214 24 206 140 96 127 13 147 60 66 167 94 230 82 109 251 200 211 134 211 118 16 188 89 8 12 47 97 218 187 225 88 223 53 182 141 7 36 181 215 87 55 192 15 26 184 143 221 57 91 255 102 182 162 121 91 220 44 255 173 190 78 230 252 143 218 17 101 18 41 62 131 43 130 212 16 24 99 5 143 174 48 92 99 224 68 19 211 14 121 180 66 221 54 121 61 28 1 92 145 246 31 188 98 194 157 85 7 103 171 44 171 33 39 173 181 25 85 53 141 14 225 146 209 136 23 27 132 33 109 11 19 222 135 117 91 183 99 223 182 117 39 212 197 46 115 64 93 228 89 231 51 67 130 177 245 90 90 234 76 134 58 215 134 229 21 135 51 157 171 104 248 190 134 149 62 203 79 250 44 77 89 119 113 159 92 96 210 101 61 149 102 131 17 207 192 205 2 14 201 186 0 125 114 184 149 151 4 236 54 22 241 90 222 155 103 140 249 89 131 182 186 79 157 40 168 181 151 57 127 59 237 60 153 225 179 205 218 122 175 45 143 207 208 207 10 49 44 212 240 31 61 218 193 166 17 200 166 25 106 86 62 239 220 77 240 120 67 102 210 147 176 165 128 3 178 222 113 233 48 157 76 95 39 227 21 19 27 0 161 86 186 10 20 214 44 2 232 251 217 250 227 218 243 188 172 183 218 228 20 94 19 251 189 70 250 166 10 243 31 214 195 143 43 240 73 3 19 178 132 84 137 129 66 255 227 129 129 143 0 103 52 100 38 69 48 87 67 171 207 50 129 58 65 125 197 234 86 25 184 164 128 123 215 157 99 75 51 119 194 148 207 248 154 82 161 197 76 114 213 69 57 55 223 41 203 19 147 193 82 204 165 184 9 20 63 86 168 169 52 83 176 36 130 255 23 130 73 90 152 216 103 113 130 216 54 255 122 131 202 173 25 12 70 60 10 243 162 28 206 178 112 107 6 35 224 186 41 136 101 5 192 16 102 12 75 230 105 253 125 91 243 164 239 208 142 58 155 22 208 30 138 214 117 203 109 93 64 241 190 80 98 191 33 99 78 181 28 104 202 15 136 60 197 29 232 66 199 146 11 184 64 195 71 52 140 206 225 48 15 160 184 246 249 29 182 130 93 129 7 115 193 240 8 188 69 192 158 52 32 49 150 167 182 94 194 79 11 186 111 221 25 227 224 141 10 191 204 224 15 164 213 165 153 78 210 163 157 145 14 129 215 14 191 66 123 212 217 128 48 142 8 121 83 76 165 183 192 35 79 194 31 53 28 104 114 64 224 216 4 112 84 110 24 34 56 76 64 197 55 246 151 244 180 234 12 212 191 108 77 97 235 116 117 121 8 170 47 20 210 227 184 78 249 108 210 185 194 33 164 105 54 189 200 112 142 203 223 48 12 76 46 214 9 154 33 14 132 137 129 16 23 126 83 164 118 16 2 243 168 225 10 3 115 52 84 26 129 32 102 215 125 200 24 78 113 165 103 36 192 96 132 129 131 140 163 233 149 22 48 108 18 17 123 90 161 129 69 2 161 11 212 12 89 91 239 34 34 47 50 67 139 47 19 76 23 23 28 58 5 24 233 48 137 176 116 237 164 65 77 10 16 194 226 35 196 235 154 49 229 206 77 33 188 108 96 90 30 0 180 37 22 108 96 198 29 176 61 240 116 38 24 30 132 81 17 236 227 210 4 38 165 174 222 200 172 123 34 175 1 55 22 120 195 186 51 216 240 62 117 50 35 16 120 180 240 17 126 25 43 46 115 200 56 52 130 177 248 2 6 123 206 164 140 117 178 197 205 36 44 154 0 135 19 45 138 214 4 182 178 179 160 227 47 134 107 34 56 149 186 48 107 214 206 144 216 49 169 225 253 153 97 232 130 189 128 113 113 45 224 122 159 4 70 221 254 175 119 64 188 81 224 61 11 155 28 99 151 158 199 93 45 185 182 236 203 152 3 237 35 248 241 247 241 208 104 252 118 203 152 22 48 150 199 20 215 20 113 133 78 157 239 42 7 195 60 178 152 233 55 106 248 146 129 81 190 166 144 35 180 90 15 201 129 192 133 153 96 136 224 125 56 180 128 73 209 8 88 158 48 208 37 224 127 11 190 95 93 131 36 248 73 166 78 218 176 14 145 0 129 118 64 37 19 64 176 37 5 75 6 102 207 75 135 105 20 111 199 226 102 145 11 128 56 4 38 102 46 21 14 198 82 120 104 43 120 22 216 217 195 31 112 105 131 248 254 126 139 13 173 135 88 102 223 11 92 254 66 4 251 228 201 60 51 238 166 122 37 80 244 202 58 221 5 218 249 89 52 130 125 180 107 242 113 237 113 172 94 168 117 66 39 153 43 186 35 45 161 79 27 20 50 102 30 217 234 124 101 172 105 154 97 190 32 250 131 225 23 26 118 234 233 145 198 195 71 176 153 76 117 199 199 107 120 23 240 103 47 24 126 3 237 26 118 243 73 194 183 221 125 135 151 186 120 119 196 218 97 0 131 72 104 229 179 212 185 156 95 91 43 239 10 95 10 199 190 174 211 14 54 115 197 102 50 197 253 134 180 58 23 16 198 210 218 187 234 108 29 114 133 150 16 126 101 224 171 212 198 58 248 192 64 186 118 216 219 27 6 1 123 104 104 115 1 224 107 50 213 71 145 52 220 209 132 198 163 155 226 28 221 70 90 126 215 123 23 8 194 98 215 219 90 125 109 209 0 218 161 29 108 66 111 98 251 170 78 110 176 116 212 213 15 78 39 6 168 11 8 209 100 45 241 112 4 175 0 111 213 254 166 80 154 67 61 27 88 24 255 33 87 58 198 222 190 93 225 9 221 223 245 249 6 235 128 223 53 9 6 159 108 85 91 154 133 45 253 34 41 37 35 75 250 69 90 202 70 82 182 106 72 114 154 134 45 25 88 147 158 241 234 90 116 219 53 236 216 167 227 183 41 218 160 190 204 17 132 33 220 225 115 51 210 234 235 110 214 94 182 44 214 192 161 154 222 109 107 249 147 234 82 252 139 71 103 35 94 29 34 205 144 213 252 241 209 30 146 244 1 125 58 193 36 210 177 115 141 227 184 77 11 184 90 125 99 9 143 218 122 146 109 13 160 180 104 12 223 40 102 211 167 245 215 240 59 3 199 215 198 53 123 57 209 144 152 92 181 249 12 152 6 60 159 2 131 17 26 118 177 153 69 113 85 226 242 27 44 112 252 177 73 247 169 40 24 164 167 249 35 51 192 33 19 0 75 90 190 47 45 186 99 82 142 245 212 41 139 0 39 37 102 198 191 223 23 140 166 107 135 16 238 55 213 200 97 224 227 36 147 2 70 181 147 155 93 82 97 88 12 99 187 171 57 73 3 132 62 109 138 4 199 20 18 161 132 63 53 17 134 44 206 112 154 70 32 38 156 120 10 115 100 169 139 11 172 203 129 150 22 167 217 38 236 245 2 30 247 31 226 207 93 166 152 193 22 55 177 159 159 16 7 203 214 11 61 40 32 0 28 14 207 254 2 150 3 51 146 90 125 15 141 80 255 126 23 224 166 68 24 186 97 71 93 119 19 211 180 130 72 129 65 64 231 250 132 228 168 130 96 200 235 228 138 148 214 219 183 229 247 121 117 45 200 148 212 210 219 204 36 233 112 146 85 236 53 173 53 183 105 134 36 40 210 190 167 105 80 8 129 185 222 112 95 28 134 36 193 215 142 63 86 87 191 115 170 207 208 5 187 184 38 31 50 14 24 82 204 169 23 14 135 127 12 178 153 36 105 44 90 84 132 240 203 4 63 34 46 236 241 229 57 116 2 44 73 166 79 86 141 96 211 14 182 72 150 182 192 193 96 154 75 17 220 43 224 152 158 134 58 77 240 77 66 204 183 118 49 233 48 24 216 94 227 55 7 98 18 12 117 218 226 239 117 253 37 67 1 67 146 249 147 69 248 93 126 128 205 156 146 30 190 129 203 71 176 65 32 73 159 21 69 101 212 4 113 229 174 83 128 48 25 228 173 240 98 224 169 176 26 97 107 201 161 5 6 252 185 16 102 46 48 200 51 235 166 159 12 44 206 202 116 215 72 14 44 161 3 233 56 86 251 188 49 36 143 59 29 4 51 41 73 248 211 204 164 70 53 68 26 8 182 5 94 93 80 212 31 179 157 7 222 153 204 78 187 63 105 70 194 172 19 4 20 173 25 158 142 170 207 219 27 134 20 90 219 182 134 173 128 23 157 48 104 152 110 60 133 159 4 104 116 239 53 248 205 102 150 179 116 57 132 212 87 248 201 33 240 89 34 67 105 173 191 205 36 178 69 141 146 58 210 234 31 133 34 219 144 76 219 44 208 73 0 36 105 138 166 150 143 193 75 63 129 85 80 93 4 221 87 61 233 132 155 32 97 122 34 12 17 76 79 90 24 32 105 126 65 139 57 21 154 88 248 170 9 154 193 87 248 125 204 159 70 29 226 164 165 249 20 201 75 125 187 214 177 137 107 4 87 54 130 116 248 148 46 121 73 90 113 72 58 204 37 145 98 122 53 175 8 76 100 88 2 108 147 161 245 79 244 244 117 21 134 223 91 97 248 41 102 130 134 113 34 33 220 64 130 214 176 204 64 21 10 120 161 137 183 40 36 123 18 157 204 225 48 103 53 133 108 80 104 75 157 73 208 24 73 26 65 198 224 176 69 149 234 247 73 120 84 174 116 243 120 151 81 158 8 85 209 157 111 207 25 152 99 60 133 61 73 37 214 8 127 139 211 129 238 134 205 149 163 71 177 39 152 158 17 134 181 31 111 78 207 115 90 63 67 30 45 145 197 252 105 196 55 136 195 144 164 25 108 190 129 202 208 250 251 70 145 176 8 191 15 0 131 170 33 194 42 12 253 122 189 141 29 26 47 27 209 192 20 39 12 26 54 115 53 33 81 202 93 180 193 96 154 23 82 77 242 25 124 210 37 154 9 131 204 80 151 164 17 226 199 149 69 59 24 135 150 168 239 115 112 57 186 174 199 151 54 230 218 164 132 123 155 217 242 189 40 250 130 9 137 173 190 113 71 165 234 247 55 75 130 97 138 73 110 233 157 119 210 102 74 25 120 189 201 48 116 23 224 39 228 49 145 124 252 132 180 58 159 77 89 250 20 226 117 62 102 145 73 209 12 62 16 216 132 127 80 139 129 85 218 3 6 151 118 176 132 208 220 154 33 132 41 241 1 180 89 64 32 22 146 96 232 96 200 99 26 229 9 145 166 172 101 223 240 102 82 234 148 5 130 52 115 201 56 218 57 23 8 241 113 25 50 197 68 107 230 195 94 45 234 228 220 164 8 124 218 159 210 73 48 8 24 227 243 37 194 227 120 13 166 127 54 223 140 204 228 51 200 140 154 194 167 78 121 250 12 202 114 92 89 142 251 194 16 119 158 85 130 166 168 55 153 136 89 189 113 75 216 54 123 71 210 224 159 65 11 177 134 176 74 122 194 144 166 29 106 101 76 146 102 104 23 126 66 238 229 149 13 2 12 93 25 66 166 73 29 105 121 163 71 174 164 59 95 255 32 30 50 173 135 66 165 192 96 211 8 170 1 7 186 30 10 97 233 131 136 119 0 14 122 231 91 23 172 174 212 100 220 247 135 82 26 247 118 39 12 81 109 49 18 215 157 202 122 165 6 86 15 35 51 41 175 240 103 141 24 217 90 249 52 109 16 213 237 27 135 243 44 99 16 224 0 35 9 18 155 73 20 213 105 11 215 88 140 44 51 180 52 179 188 25 54 248 59 49 27 178 213 9 131 1 21 239 145 49 5 253 240 70 8 67 35 64 104 207 8 81 188 135 89 196 180 133 205 92 50 142 168 82 28 146 158 125 229 86 220 3 224 208 117 80 68 117 117 245 91 124 198 189 65 243 25 214 129 105 165 184 209 68 38 118 111 226 209 164 177 69 246 145 104 88 59 12 96 104 52 175 40 41 90 148 228 31 136 58 161 182 213 185 32 49 14 0 146 162 75 88 34 76 105 130 170 44 166 81 18 8 174 97 160 131 86 218 97 109 55 232 2 191 50 209 103 40 172 8 138 253 215 214 223 16 213 105 42 141 49 194 209 202 186 38 10 55 142 214 216 54 112 38 222 26 11 210 103 142 136 199 25 92 137 189 54 129 18 57 186 116 210 150 185 210 41 33 83 225 105 26 17 3 130 193 6 34 106 226 119 199 125 134 142 2 191 91 82 75 170 218 200 203 160 140 243 45 139 151 153 52 218 228 27 171 225 42 107 146 204 164 80 12 5 238 101 41 139 71 233 4 17 20 244 93 194 18 125 141 195 208 85 148 51 92 59 127 66 249 8 203 82 96 25 215 93 29 204 159 89 85 59 108 207 13 73 48 172 51 126 66 158 122 78 109 155 84 62 191 178 20 24 45 153 32 107 102 146 104 0 130 186 99 235 82 125 134 70 128 136 121 132 37 12 101 41 172 132 48 81 130 20 30 130 14 246 85 223 99 178 218 225 132 33 132 21 190 193 99 227 1 131 176 100 193 150 165 44 13 68 50 38 68 117 48 36 1 97 27 114 16 215 24 6 86 56 97 48 176 34 254 5 58 35 12 177 241 168 37 12 101 41 172 104 152 72 44 154 36 220 130 238 99 54 173 72 242 25 94 207 146 31 238 49 196 110 219 242 17 150 165 168 210 5 219 40 15 24 164 167 255 16 31 98 32 99 62 195 107 81 221 250 187 241 89 108 179 46 76 28 194 232 79 97 166 150 143 177 44 5 105 134 233 33 136 188 11 102 91 234 86 56 97 248 1 98 181 134 55 125 22 161 78 91 32 189 182 5 18 182 43 31 99 89 10 114 160 167 135 249 132 126 192 123 83 221 95 154 168 81 34 120 174 62 17 197 103 250 111 219 220 234 181 253 32 132 183 150 143 177 44 5 120 207 162 103 130 187 52 32 210 64 168 155 154 254 57 167 207 64 223 9 187 186 252 0 147 236 48 199 253 7 5 188 173 124 146 101 105 180 124 0 182 14 97 162 239 204 240 182 247 241 206 58 229 3 67 154 99 156 97 106 63 1 236 88 62 202 178 52 90 4 236 16 66 69 90 132 220 53 203 65 210 204 144 64 231 44 120 57 17 134 8 150 228 208 0 78 72 12 236 2 70 52 113 190 213 178 108 18 86 18 179 52 4 198 19 6 65 242 20 169 2 158 169 159 103 213 229 51 252 221 102 107 153 12 190 67 108 219 238 176 50 196 90 150 198 35 73 123 133 32 243 44 99 165 45 62 67 8 143 198 127 195 54 241 240 227 162 110 36 83 154 22 72 27 8 171 161 45 128 61 104 238 204 122 101 25 225 206 115 4 123 218 180 64 218 44 240 113 109 33 250 228 114 0 12 3 52 195 213 176 70 195 82 95 45 144 20 106 237 137 40 69 240 175 229 19 45 75 222 178 47 204 12 97 203 200 51 146 164 61 52 135 129 191 167 106 6 16 70 99 254 110 98 179 113 251 106 4 199 188 135 179 203 71 90 150 188 37 130 119 11 104 241 88 59 112 128 6 112 212 153 208 2 131 116 252 248 3 182 181 82 147 214 90 77 233 127 216 121 255 178 39 186 44 249 97 120 175 174 90 24 94 89 17 54 89 141 213 189 118 59 44 243 130 161 27 238 201 219 197 237 56 175 93 192 123 203 199 90 150 28 254 66 16 193 251 124 122 158 51 164 13 221 139 24 152 131 106 133 97 45 60 168 161 211 69 87 26 137 150 45 208 240 190 242 201 150 37 107 217 21 222 21 193 22 17 254 90 192 229 203 214 201 167 117 41 102 43 12 183 195 186 8 30 210 30 63 152 33 196 122 200 59 48 163 203 199 91 150 44 37 132 15 70 208 150 55 49 207 6 71 8 247 120 195 80 117 162 249 131 111 210 147 167 55 63 121 52 204 41 31 111 89 50 152 72 74 195 220 200 146 169 170 51 200 100 76 59 188 241 10 60 156 1 6 8 225 142 60 90 33 193 156 106 209 240 225 242 9 151 197 183 236 0 187 105 152 225 235 11 164 201 104 237 253 221 207 136 254 19 1 164 194 176 18 238 13 107 233 220 58 133 202 12 142 203 193 187 99 198 151 143 185 44 62 69 195 17 113 19 41 77 214 116 74 227 220 13 183 185 126 207 9 195 95 96 189 134 63 164 217 95 105 145 165 88 20 96 243 16 142 40 31 115 89 210 202 20 195 152 8 142 137 18 6 243 36 53 196 14 45 161 187 224 246 204 48 128 48 17 252 38 11 0 58 61 250 20 68 240 41 48 178 124 220 101 73 42 173 112 120 4 91 101 113 152 61 228 243 217 191 213 18 81 51 194 0 26 110 214 208 173 61 66 88 25 60 253 221 102 193 110 229 227 46 75 130 227 44 52 28 23 65 37 239 16 79 91 195 28 194 47 17 238 73 95 18 97 248 3 44 13 225 190 70 66 170 150 63 53 74 195 241 229 19 47 139 211 68 130 119 134 48 59 75 78 92 146 185 84 219 140 129 235 146 126 55 197 92 17 70 195 13 57 250 20 146 28 27 17 193 81 111 193 76 43 31 123 89 108 37 132 207 107 104 247 73 207 246 129 164 118 236 233 71 225 175 13 192 0 27 224 23 17 108 112 249 4 105 185 75 14 90 39 106 56 161 124 236 101 137 151 177 134 237 13 28 153 214 183 144 181 33 14 225 122 68 242 140 246 169 48 252 21 150 71 240 91 159 200 81 6 115 74 70 112 220 84 204 230 229 227 47 75 127 119 129 207 70 48 62 201 212 118 201 92 66 98 94 104 224 218 180 223 246 136 234 8 163 225 167 73 63 234 99 183 89 234 182 4 254 189 124 252 101 233 141 32 25 102 132 240 49 13 34 173 83 215 5 136 182 131 114 239 51 240 100 1 48 192 171 176 56 132 151 125 180 131 79 82 95 237 152 212 112 194 36 204 54 165 24 148 165 230 43 124 73 195 228 44 3 117 124 194 251 33 44 178 101 169 230 130 97 57 98 157 134 171 117 130 54 240 201 81 178 92 216 84 13 95 44 197 160 44 24 118 214 177 78 182 180 113 204 158 125 96 43 215 194 141 62 127 65 250 255 87 174 136 160 43 77 69 105 63 8 234 125 135 79 182 99 222 89 74 195 38 13 130 2 177 192 192 196 60 227 102 82 26 232 107 255 41 120 179 80 24 158 128 39 52 44 78 114 94 124 123 167 45 145 165 5 96 130 82 42 54 213 162 14 6 117 40 40 65 205 158 209 158 214 133 38 177 195 173 179 27 46 244 253 23 25 210 34 132 142 96 97 4 81 94 211 200 17 117 18 26 14 81 101 206 210 166 170 21 38 64 229 27 160 70 213 175 10 108 106 80 68 25 160 176 128 241 191 175 195 83 77 128 1 158 131 251 12 252 222 39 39 36 41 28 102 129 163 213 192 89 96 182 40 165 99 83 43 99 191 2 234 29 85 8 226 91 126 40 52 132 221 112 94 82 250 69 67 48 128 136 186 97 161 174 46 120 238 69 168 246 4 68 195 76 4 95 47 147 248 54 37 173 48 246 95 64 253 59 40 85 15 192 192 53 227 197 128 137 176 211 76 116 13 183 191 9 15 102 249 59 153 5 239 37 184 77 195 189 9 68 122 119 148 244 78 15 46 0 133 68 241 9 90 248 96 41 37 155 2 8 227 39 64 235 247 64 77 232 15 65 210 214 31 138 132 134 56 236 130 255 241 9 167 54 4 3 136 238 46 56 39 138 105 135 180 78 16 219 49 67 172 33 80 140 70 241 29 218 76 185 166 195 200 246 19 4 140 250 47 80 255 82 93 162 205 165 21 148 227 85 244 78 119 234 176 68 110 235 132 123 179 254 173 92 38 201 202 58 237 144 102 22 185 128 64 88 174 187 186 205 164 194 183 193 180 150 82 51 82 203 214 135 128 250 92 159 121 36 25 8 132 74 1 162 10 133 69 222 194 168 170 21 162 65 129 1 68 119 4 103 107 8 61 115 67 122 95 141 176 92 91 255 107 23 40 142 96 34 159 175 157 93 150 17 165 21 182 153 9 193 121 160 198 12 212 0 50 7 16 125 80 212 100 108 113 8 247 229 249 107 185 157 213 85 112 123 4 191 242 5 161 87 27 184 174 183 127 125 11 1 167 49 133 131 74 233 25 73 32 204 28 7 163 46 132 96 230 192 86 80 102 52 149 212 0 45 97 160 195 192 233 121 180 66 67 48 128 8 53 124 189 126 13 56 23 8 3 180 129 116 154 72 245 219 68 2 206 103 43 179 67 41 69 35 194 79 8 32 248 38 200 3 250 252 4 233 16 108 31 16 108 231 136 31 97 153 67 117 16 96 128 14 120 34 132 243 93 14 116 175 131 156 116 29 10 119 35 17 48 131 128 203 216 194 76 41 165 105 99 119 152 119 57 17 212 9 32 149 187 117 151 9 239 83 77 165 165 96 190 147 165 95 161 80 24 64 152 13 112 94 4 75 156 38 145 116 0 175 18 238 69 127 255 97 54 163 249 17 179 204 216 82 170 54 214 178 235 124 144 223 0 213 230 214 8 174 253 36 65 234 253 30 13 106 1 162 255 82 182 131 12 3 128 120 93 195 41 61 206 116 162 54 240 1 96 224 125 145 72 62 4 156 195 52 211 86 10 214 198 166 21 222 179 63 168 239 67 48 46 217 78 78 106 53 83 67 173 183 66 231 117 13 75 114 65 87 28 0 151 35 56 182 23 100 215 171 28 16 8 240 0 31 144 116 33 57 151 136 179 120 92 116 149 82 182 49 128 240 175 239 1 241 115 208 211 147 115 75 123 54 227 216 175 127 111 98 251 122 21 68 179 17 29 79 52 250 119 11 74 125 16 33 112 26 146 151 83 157 127 149 98 50 185 252 8 69 11 146 83 104 227 212 50 195 117 99 0 97 223 93 161 242 51 80 111 117 183 252 50 163 118 176 105 9 190 5 29 79 22 34 197 133 222 128 138 57 14 201 101 8 130 1 173 190 104 72 43 212 111 235 80 156 195 26 206 45 53 196 112 5 225 128 119 131 190 28 204 219 65 11 247 80 48 147 162 29 92 218 162 247 245 110 88 113 40 130 181 195 15 6 76 133 86 126 130 226 99 78 161 175 55 155 84 10 28 238 64 195 6 36 63 32 226 191 249 147 88 95 74 223 112 2 225 3 251 129 254 9 152 233 16 9 63 243 200 199 84 138 131 16 173 0 246 71 188 250 104 81 127 189 248 30 222 118 179 37 146 187 144 204 178 2 32 115 110 3 53 101 55 138 75 209 124 141 187 69 71 41 133 195 1 132 67 15 1 126 12 122 91 191 169 35 242 250 12 58 130 232 51 176 124 81 35 161 212 38 249 12 117 101 157 88 142 228 36 36 235 156 61 236 10 63 51 50 169 143 66 82 65 114 2 45 92 194 7 202 126 136 161 133 0 137 153 251 49 168 44 2 181 173 159 47 144 102 15 139 164 99 215 194 242 171 138 4 161 57 154 161 122 119 36 147 56 21 201 55 145 72 239 104 146 74 48 161 220 239 53 138 187 208 124 134 91 197 179 165 100 14 186 89 212 10 227 191 0 250 52 136 198 39 15 213 175 111 229 93 62 131 78 242 17 0 253 119 136 14 68 44 123 165 232 75 105 98 34 156 105 103 115 126 130 228 35 137 126 129 240 108 64 146 251 38 12 146 199 8 248 2 191 16 119 149 18 58 88 32 28 61 25 212 89 16 30 7 166 45 121 102 173 40 197 81 246 50 153 86 66 120 8 226 249 7 154 113 57 205 205 10 221 220 76 69 241 107 20 187 102 138 32 249 128 96 55 159 94 67 242 13 224 82 110 40 35 77 205 5 225 83 239 128 232 135 160 247 134 72 249 1 144 5 136 1 48 108 0 253 41 120 234 154 162 205 163 193 129 1 96 75 179 27 1 139 81 76 205 5 131 43 127 203 221 49 217 137 226 6 42 156 198 229 226 31 165 212 22 13 193 9 21 224 163 96 22 64 180 93 53 116 26 121 10 191 47 16 3 234 12 68 231 194 19 167 35 8 155 117 105 205 31 111 188 156 191 2 39 32 232 200 228 79 37 129 144 252 153 54 36 199 98 88 204 241 230 224 114 76 117 145 32 156 184 21 84 126 4 234 66 144 211 170 217 167 141 170 121 175 14 168 107 161 114 86 51 65 24 28 205 208 227 80 207 224 115 72 190 143 172 117 200 41 15 45 145 37 161 209 110 58 189 65 192 85 24 206 225 98 241 82 41 205 141 104 131 49 115 33 58 29 244 219 65 75 247 60 21 62 225 212 52 237 80 255 62 186 7 204 92 196 195 43 154 125 153 131 56 146 204 84 152 197 55 81 156 130 68 228 234 129 246 129 97 96 234 135 70 241 4 146 5 60 194 47 185 91 132 165 116 103 121 108 95 153 1 106 1 232 35 33 106 79 94 183 201 119 90 106 111 135 249 105 208 7 35 30 124 110 48 46 117 112 135 85 78 53 163 153 204 66 20 159 201 228 59 164 37 59 166 229 65 85 247 215 34 185 17 193 119 248 174 248 91 41 229 105 16 124 109 60 180 126 20 244 201 16 189 181 175 55 57 109 65 100 159 21 60 210 96 208 128 89 6 27 230 34 254 242 208 96 93 242 224 143 49 158 105 198 49 154 243 145 124 188 41 48 36 129 161 48 40 94 69 114 5 112 33 223 42 29 236 129 16 252 160 21 58 14 133 232 171 160 119 7 93 73 157 240 221 107 223 120 152 79 189 169 22 47 66 116 20 226 190 123 7 243 210 135 102 192 253 238 102 60 112 9 146 249 13 57 209 62 175 246 49 35 154 128 101 40 22 209 202 101 156 34 94 41 33 184 184 2 29 239 135 232 100 136 246 172 154 68 62 147 254 232 28 26 34 113 123 13 186 143 68 252 241 158 193 190 5 67 55 251 196 142 102 18 99 248 17 42 1 8 133 127 122 134 202 0 67 223 22 161 120 14 201 101 24 126 198 215 196 203 155 30 4 11 90 96 242 28 208 95 4 189 47 68 163 147 215 99 242 89 25 60 47 8 209 114 136 62 6 191 187 179 89 125 9 195 19 134 30 13 209 202 247 80 28 223 235 84 103 203 79 202 166 21 36 16 88 207 137 8 248 7 138 107 145 92 201 137 226 137 145 15 193 197 227 65 30 10 209 9 160 247 168 57 199 34 221 36 74 51 151 210 58 220 92 29 109 209 50 48 199 32 110 187 119 168 110 201 208 207 75 180 159 25 131 225 108 36 39 214 134 120 230 243 29 210 134 214 214 195 224 26 84 20 160 145 188 142 226 119 4 92 141 230 78 254 143 88 51 130 180 128 132 237 119 2 115 36 132 243 65 207 128 168 197 111 181 190 60 254 66 82 40 181 95 110 210 18 8 143 66 220 250 215 161 188 61 195 99 146 174 221 77 59 227 57 21 201 169 40 42 13 167 101 164 59 210 253 235 236 128 116 18 240 60 138 91 104 225 22 90 185 159 195 197 186 141 15 0 4 252 106 38 116 31 0 225 92 8 119 7 61 1 34 153 190 32 148 143 191 144 37 31 201 186 61 4 209 177 136 155 159 28 234 91 53 124 102 172 219 221 84 152 196 39 145 124 155 128 113 214 236 85 223 212 140 44 32 164 111 6 197 58 20 47 16 112 11 21 110 195 240 32 135 137 85 195 23 128 187 2 8 223 14 221 123 131 62 2 162 119 129 158 4 161 242 91 7 199 119 197 180 44 102 146 109 132 91 116 51 108 248 44 226 150 97 209 33 58 204 166 111 52 146 131 57 8 201 101 40 182 242 214 8 62 61 210 65 10 32 105 91 208 11 70 39 138 21 84 120 0 201 93 4 60 140 224 113 246 25 66 56 204 93 1 140 157 9 235 119 1 189 39 68 115 64 79 131 104 92 21 128 172 203 138 103 209 8 185 58 219 52 232 139 192 124 29 113 195 27 195 69 250 134 231 92 166 135 155 93 17 92 134 98 183 222 180 13 149 195 127 72 15 177 186 28 106 27 8 182 58 93 211 26 111 16 240 4 1 15 32 120 18 201 115 180 179 148 237 89 142 16 81 177 130 255 236 120 96 59 232 156 14 122 123 8 223 1 250 221 16 110 14 225 88 136 42 253 5 53 196 123 49 98 124 151 22 244 209 12 206 250 14 136 22 192 203 23 33 238 238 28 78 98 55 124 39 246 61 196 108 193 40 22 162 56 186 95 164 41 111 111 116 154 99 109 19 124 233 128 33 72 4 38 66 209 73 133 117 181 94 239 101 40 158 167 133 151 145 252 147 128 85 40 222 160 194 26 36 157 4 68 84 88 15 221 21 160 181 154 14 221 53 182 218 170 51 30 194 73 16 78 129 112 26 68 51 32 218 12 116 27 132 237 53 193 23 253 133 58 36 31 12 89 195 168 121 250 21 162 101 208 253 57 232 190 13 113 67 52 220 68 110 120 207 114 125 152 105 103 52 39 33 57 29 197 232 220 51 16 250 0 161 18 124 139 192 83 107 4 9 192 84 232 91 153 41 32 172 133 115 163 218 185 17 82 139 154 83 43 160 59 0 173 170 96 68 9 66 237 115 44 171 95 144 22 61 202 219 235 28 253 174 234 31 92 253 212 112 21 183 225 157 222 124 179 88 135 230 187 40 254 13 193 18 231 196 2 62 19 151 213 215 197 235 93 155 207 57 245 155 171 185 17 253 222 11 160 130 160 13 193 104 4 163 129 113 192 88 96 52 208 14 162 165 134 78 194 23 217 142 249 108 50 227 113 215 141 77 219 239 61 191 19 196 66 232 156 59 156 65 24 254 48 0 220 32 34 126 38 110 69 179 63 130 159 33 208 169 207 43 233 185 203 140 178 225 11 128 235 59 11 87 216 241 31 47 10 146 44 55 39 13 130 222 186 103 65 206 131 167 78 69 92 179 106 184 139 218 198 51 240 229 106 241 34 134 79 35 249 52 130 87 83 199 132 8 207 6 45 77 208 243 200 144 143 172 139 70 128 136 159 147 247 162 100 198 11 76 106 133 250 29 139 170 51 88 68 115 16 23 222 140 184 123 163 72 155 223 184 70 129 93 33 58 185 148 159 2 251 32 184 22 65 232 165 169 133 7 16 105 90 36 147 32 39 200 172 200 250 193 44 31 18 5 109 62 55 202 217 202 60 3 226 24 88 125 60 226 71 27 85 86 240 70 56 36 82 24 46 22 75 80 124 2 195 81 192 211 78 109 144 215 76 206 162 33 100 130 175 33 139 48 153 234 31 149 107 203 171 218 40 232 38 73 64 174 7 241 67 48 251 32 22 94 143 184 162 115 99 147 172 141 119 124 240 249 98 3 23 136 95 16 177 55 112 46 130 53 118 179 181 201 62 194 240 110 56 10 214 24 78 181 123 55 152 3 225 153 147 17 223 221 104 211 225 55 254 193 242 231 139 21 140 230 191 128 217 181 145 108 81 166 6 173 40 191 97 88 8 126 146 141 231 123 161 50 139 246 88 10 230 147 208 113 40 226 91 247 12 199 190 131 145 211 207 144 181 156 100 90 153 192 129 4 156 129 100 143 212 204 86 159 49 15 62 73 126 121 242 158 6 124 46 75 206 80 90 71 153 207 113 87 207 178 87 103 218 42 136 46 129 232 60 196 105 175 142 20 241 25 153 75 203 126 217 140 102 18 135 34 249 42 146 61 82 211 52 242 36 245 101 205 111 146 69 193 160 201 151 96 215 72 154 69 84 7 129 94 4 209 249 208 241 15 196 153 122 36 137 205 200 94 103 121 129 105 103 20 135 81 225 100 36 239 65 213 210 58 124 97 144 5 129 97 75 18 244 134 33 13 2 159 214 95 123 212 37 66 176 18 194 203 97 195 5 35 17 130 77 3 134 62 40 218 152 200 62 40 78 66 114 80 109 21 32 255 116 141 172 105 224 73 90 192 9 148 79 90 68 163 16 36 157 103 133 97 9 152 75 97 221 149 240 197 215 16 194 140 100 49 217 52 96 232 131 34 96 115 118 164 194 167 129 121 4 76 77 92 138 87 198 90 114 73 182 129 66 73 185 77 50 13 6 221 128 31 144 246 93 182 243 122 243 136 186 65 223 93 53 135 58 126 133 248 252 38 179 246 197 166 5 67 111 49 130 243 24 207 56 14 35 224 19 40 246 237 29 97 231 155 229 106 75 255 150 158 90 32 21 134 52 16 124 181 72 38 191 96 25 68 63 7 113 37 60 185 4 113 230 38 55 217 218 38 10 67 93 185 222 40 186 153 142 100 30 138 35 81 188 11 137 204 229 67 100 245 41 100 86 24 146 234 243 164 96 71 43 32 186 5 204 117 80 249 61 226 240 117 155 178 40 148 48 212 151 187 76 192 74 102 81 225 223 144 28 92 27 92 84 201 60 5 77 158 58 169 27 108 249 125 166 123 140 0 253 34 132 119 130 185 17 214 222 1 243 214 142 116 95 160 132 161 97 75 202 72 110 98 10 163 216 31 193 251 145 204 65 49 13 133 200 60 96 168 41 48 120 143 79 238 128 232 207 96 110 135 238 219 96 213 99 48 191 123 40 230 37 42 97 24 73 230 212 20 182 165 194 108 36 179 81 236 133 228 237 40 90 10 1 34 17 6 237 235 32 27 208 203 65 223 15 209 189 96 238 129 232 97 216 179 179 108 253 75 24 154 169 57 4 75 105 101 21 179 80 236 68 192 206 72 118 68 50 179 166 65 198 100 2 68 106 15 13 208 123 44 2 253 50 68 207 129 126 10 186 31 3 243 40 132 143 194 141 43 71 106 63 64 9 195 198 106 98 45 99 42 48 157 86 182 6 166 160 152 140 98 50 146 201 4 140 66 50 6 133 66 208 134 162 13 165 163 234 96 121 109 32 90 11 81 39 68 171 171 29 94 209 10 208 175 67 244 10 152 165 16 45 67 108 87 174 127 93 150 178 148 165 44 101 41 75 89 202 82 150 193 40 255 31 33 229 253 227 236 106 5 194 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !
